marius adrian popa | 1 May 11:26 2011
Picon

question about the pyfirebirdsql

I didn't see any documentation and don't have Firebird SQL installed,
so does anyone know how far the "pure python" thing goes here? I saw
some C sources in the repository, but the setup script does not appear
to reference them.
Is this usable on PyPy? Jython? IronPython?

http://www.reddit.com/r/Python/comments/h0t8q/pyfirebirdsql_041_pure_python_driver_released/

------------------------------------

Yahoo! Groups Links

<*> To visit your group on the web, go to:
    http://groups.yahoo.com/group/firebird-python/

<*> Your email settings:
    Individual Email | Traditional

<*> To change settings online go to:
    http://groups.yahoo.com/group/firebird-python/join
    (Yahoo! ID required)

<*> To change settings via email:
    firebird-python-digest@... 
    firebird-python-fullfeatured@...

<*> To unsubscribe from this group, send an email to:
    firebird-python-unsubscribe@...

<*> Your use of Yahoo! Groups is subject to:
(Continue reading)

Hajime Nakagami | 2 May 04:33 2011
Picon

Re: question about the pyfirebirdsql

Hi 

I think the most important reason to supoort Python2.5 is "Jython".
Now 0.4.1 work on CPython 2.5+(include 3.x), IronPython and Jython.

I have never test on PyPy

Best Regards

2011/5/1 marius adrian popa <mapopa-Re5JQEeQqe8AvxtiuMwx3w@public.gmane.org>
 

I didn't see any documentation and don't have Firebird SQL installed,
so does anyone know how far the "pure python" thing goes here? I saw
some C sources in the repository, but the setup script does not appear
to reference them.
Is this usable on PyPy? Jython? IronPython?

http://www.reddit.com/r/Python/comments/h0t8q/pyfirebirdsql_041_pure_python_driver_released/




__._,_.___


Your email settings: Individual Email|Traditional
Change settings via the Web (Yahoo! ID required)
Change settings via email: Switch delivery to Daily Digest | Switch to Fully Featured
Visit Your Group | Yahoo! Groups Terms of Use | Unsubscribe

__,_._,___
marius adrian popa | 2 May 09:14 2011
Picon

Re: question about the pyfirebirdsql



On Mon, May 2, 2011 at 5:33 AM, Hajime Nakagami <nakagami-8mbVCquYwmFbRvCYcJ52aw@public.gmane.org> wrote:


Hi 

I think the most important reason to supoort Python2.5 is "Jython".
Now 0.4.1 work on CPython 2.5+(include 3.x), IronPython and Jython.

I have never test on PyPy


Thanks for the response , i have forwarded it to the question .
My guess is that it should work with pypy too , i will do a try today with the latest version 

 



__._,_.___

Your email settings: Individual Email|Traditional
Change settings via the Web (Yahoo! ID required)
Change settings via email: Switch delivery to Daily Digest | Switch to Fully Featured
Visit Your Group | Yahoo! Groups Terms of Use | Unsubscribe

__,_._,___
marius adrian popa | 3 May 11:20 2011
Picon

Re: question about the pyfirebirdsql

On Mon, May 2, 2011 at 10:14 AM, marius adrian popa <mapopa@...> wrote:
>
>
> On Mon, May 2, 2011 at 5:33 AM, Hajime Nakagami <nakagami@...>
> wrote:
>>
>>
>> Hi
>> I think the most important reason to supoort Python2.5 is "Jython".
>> Now 0.4.1 work on CPython 2.5+(include 3.x), IronPython and Jython.
>> I have never test on PyPy
>
> Thanks for the response , i have forwarded it to the question .
> My guess is that it should work with pypy too , i will do a try today with
> the latest version
> http://morepypy.blogspot.com/2011/04/pypy-15-released-catching-up.html

installed pypy and seems to work just fine

pyfirebirdsql/firebirdsql$ ../../pypy-c tests.py
('dsn=', 'localhost/3050:/tmp/tmpj0nf7i.fdb')
['\x0b\x00\x00\x00', '\x02\x00\x00\x00', '\x06SYSDBA']
.....
gbak:finishing, closing, and going home

------------------------------------

Yahoo! Groups Links

<*> To visit your group on the web, go to:
    http://groups.yahoo.com/group/firebird-python/

<*> Your email settings:
    Individual Email | Traditional

<*> To change settings online go to:
    http://groups.yahoo.com/group/firebird-python/join
    (Yahoo! ID required)

<*> To change settings via email:
    firebird-python-digest@... 
    firebird-python-fullfeatured@...

<*> To unsubscribe from this group, send an email to:
    firebird-python-unsubscribe@...

<*> Your use of Yahoo! Groups is subject to:
    http://docs.yahoo.com/info/terms/

Werner F. Bruhin | 14 May 16:58 2011
Picon

kinterbasdb 3.3 on Ubuntu 10.10 - services api

I am having problems using the services api on Ubuntu.

On Win$ I can do:
from kinterbasdb import services
con = services.connect(user='sysdba', password='masterkey')

If I do the same on Ubuntu I get:

Traceback (most recent call last):
   File "<input>", line 1, in <module>
   File 
"/usr/local/lib/python2.6/dist-packages/kinterbasdb/services.py", line 
115, in connect
     return Connection(host, user, password)
   File 
"/usr/local/lib/python2.6/dist-packages/kinterbasdb/services.py", line 
121, in __init__
     self._C_conn = apply(_ksrv.connect, args, keywords_args)
OperationalError: (-902, '_kiservices.pyob_SConnection_connect: \n  Your 
user name and password are not defined. Ask your database administrator 
to set up a Firebird login.')

I can attach to db's using e.g. FlameRobin, so I know that user and 
password are defined.  I also made sure that my linux user id is member 
of the Firebird group.

What else is needed to be able to use the services api?

Werner

P.S.
I also have serious performance issue on Ubuntu (see my thread in the 
support list), does anyone have any tips on what to look out for?

------------------------------------

Yahoo! Groups Links

<*> To visit your group on the web, go to:
    http://groups.yahoo.com/group/firebird-python/

<*> Your email settings:
    Individual Email | Traditional

<*> To change settings online go to:
    http://groups.yahoo.com/group/firebird-python/join
    (Yahoo! ID required)

<*> To change settings via email:
    firebird-python-digest@... 
    firebird-python-fullfeatured@...

<*> To unsubscribe from this group, send an email to:
    firebird-python-unsubscribe@...

<*> Your use of Yahoo! Groups is subject to:
    http://docs.yahoo.com/info/terms/

Werner F. Bruhin | 14 May 18:04 2011
Picon

Re: kinterbasdb 3.3 on Ubuntu 10.10 - services api

On 05/14/2011 04:58 PM, Werner F. Bruhin wrote:
> I am having problems using the services api on Ubuntu.
>
> On Win$ I can do:
> from kinterbasdb import services
> con = services.connect(user='sysdba', password='masterkey')
>
Oops, had my keyboard remapped, so this is resolved.  Still having the 
performance problem.

Werner

------------------------------------

Yahoo! Groups Links

<*> To visit your group on the web, go to:
    http://groups.yahoo.com/group/firebird-python/

<*> Your email settings:
    Individual Email | Traditional

<*> To change settings online go to:
    http://groups.yahoo.com/group/firebird-python/join
    (Yahoo! ID required)

<*> To change settings via email:
    firebird-python-digest@... 
    firebird-python-fullfeatured@...

<*> To unsubscribe from this group, send an email to:
    firebird-python-unsubscribe@...

<*> Your use of Yahoo! Groups is subject to:
    http://docs.yahoo.com/info/terms/

Maximiliano Robaina | 28 May 05:21 2011
Picon

kinterbasdb: String overflow

Hi,

I've a problem with kinterbasdb when use it in django-firebird module.
The error I get is the same one explained at [1].

I'm using Firebird 2.1 SS, python 2.6, kinterbasdb 3.3 and django 1.2.3
all on ubuntu 10.04. The database is defined with ISO8859_1 charset.

For test this "behavior" I did a script using just kinterbasedb code and
I couldn't reproduce that error.

It seems that the problem would be in how django makes the sql.

What's wrong here?
Any help will be appreciated.

Regards.
Maxi.

[1]
http://www.mail-archive.com/pylons-discuss-/JYPxA39Uh5TLH3MbocFFw <at> public.gmane.org/msg11818.html

------------------------------------

Yahoo! Groups Links

<*> To visit your group on the web, go to:
    http://groups.yahoo.com/group/firebird-python/

<*> Your email settings:
    Individual Email | Traditional

<*> To change settings online go to:
    http://groups.yahoo.com/group/firebird-python/join
    (Yahoo! ID required)

<*> To change settings via email:
    firebird-python-digest@... 
    firebird-python-fullfeatured@...

<*> To unsubscribe from this group, send an email to:
    firebird-python-unsubscribe@...

<*> Your use of Yahoo! Groups is subject to:
    http://docs.yahoo.com/info/terms/


Gmane